
Redmine - Defect #6829

Emails not sent if server rejects one of the recipients

2010-11-04 10:47 - Sergey Prokhorenko

Status: Closed Start date: 2010-11-04

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.2

Description

Windows XP SP2, MySQL 4.1, Ruby 1.8.6, Rails 2.3.4

Recently we stopped to receive email notifications from redmine. The test email message from Administration was sent OK by

redmine, though.

As it turned out recently we disabled one of the developer's email account (in hMailServer) and this is what we see in hMailServer

logs:

SENT 550: Account is not active.

This is always the only message, for the disabled account (disabled in the email server).

So, I suppose, redmine gets this 550 error and stops sending emails to other users. I believe this is not how it should be. I'd expect

only email to the "incorrect" user not being sent.

Related issues:

Related to Redmine - Defect #8157: Redmine do not send notification emails if... Closed

History

#1 - 2010-11-04 11:04 - Felix Schäfer

This "in theory" is a problem with the mail server, but it seems a lot of them behave that way.

Long story short: Mails get sent once with everyone as a BCC, I'd expect mail servers to not reject the whole mail but only to not forward it to the

faulty recipient. Anyway, we'll have a look, but that might mean a bigger performance hit for users not using async sending.

#2 - 2010-11-04 11:15 - Sergey Prokhorenko

What a fast response!

Just to mention, I've tried to uncheck "use bcc" option in admin settings, doesn't help. Yes, I also expected that server sends emails to good recipients

anyway.

I'm not sure if this is an important issue (thus I set low priority), just it's not always clear what's going on (people don't always have access to email

server logs). So maybe mentioning this in docs/faq will be enough, I don't know. For us it's already fixed.

#3 - 2010-11-04 11:31 - Felix Schäfer

Sergey Prokhorenko wrote:

Just to mention, I've tried to uncheck "use bcc" option in admin settings, doesn't help. Yes, I also expected that server sends emails to good

recipients anyway.

 Well, if you uncheck the BCC box, mails get sent as CCs, so not much of an improvement in your case.

I'm not sure if this is an important issue (thus I set low priority), just it's not always clear what's going on (people don't always have access to

email server logs). So maybe mentioning this in docs/faq will be enough, I don't know. For us it's already fixed.

 Feel free to extend the FAQ :-)

#4 - 2010-11-11 09:35 - Xiwen Cheng

Some MTA's behave that way; whenever delivery of one recipient fails, the rest is not processed at all. Perhaps the admin could have the option to
have the Mailer dispatch e-mails with single recipients? This will be a big performance hit if the list is large.

or switch MTA :)

#5 - 2014-11-03 06:58 - Go MAEDA

- Related to Defect #8157: Redmine do not send notification emails if a recipients email address is not valid added

#6 - 2014-11-03 07:02 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

This is discussed in #8157.
